interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.4.0 b'Linux-3.13.0-92-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://www.reddit.com/r/Python/comments/2xmo63.json
  response:
    body:
      string: !!binary |
[encoded data, 11390 characters]
        86X7WVXG8jktKWP9wdDptw8Pw+4Pep2hKVeXjN2ub3//f9sCNO8W1QAA
    headers:
      CF-RAY: [2c6ccf2c85ef1e71-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['7680']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Sat, 23 Jul 2016 05:42:28 GMT']
      Server: [cloudflare-nginx]
      Set-Cookie: ['__cfduid=da900f6179f98657bddff22388de3a0061469252548; expires=Sun,
          23-Jul-17 05:42:28 GMT; path=/; domain=.reddit.com; HttpOnly']
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=AoIqlAP9tz3AXFcpgzO599Ni%2BDBHc1ZfQAzfmaAoQERRGliTNacabnf4gKitRSpLbsotjanEcnI%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: refresh_token=**********&redirect_uri=http%3A%2F%2F127.0.0.1%3A65000%2F&grant_type=refresh_token
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Content-Length: ['122']
      Content-Type: [application/x-www-form-urlencoded]
      Cookie: [__cfduid=da900f6179f98657bddff22388de3a0061469252548]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.4.0 b'Linux-3.13.0-92-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: POST
    uri: https://api.reddit.com/api/v1/access_token/
  response:
    body:
      string: !!binary |
        H4sIAAAAAAAAAyWMsQrCQBAFf2W5WiGgWNgJopWm1Spc7h66SHJhdxNziv8up9WDYea9nQ8Bqo2l
        B3q3JXc/4bKZ/aXehdWxfu3zMfJzfV3Oh4dbkPt5jeUBRW7hBVJ4xMQBDceCz6lHgZgHFmjD5Xm1
        qaoFOQ3p3yKy0Z3VkmTiiN7YMnVZx1YQI5vSIDx5QwdVf4OSwEcSDEmM1E8gHduOrYwG4RY0JYP7
        fAGd7e9k1gAAAA==
    headers:
      CF-RAY: [2c6ccf38e59d1ee3-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Sat, 23 Jul 2016 05:42:30 GMT']
      Server: [cloudflare-nginx]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      X-Moose: [majestic]
      cache-control: ['max-age=0, must-revalidate']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.5.0 Python/3.4.0 b'Linux-3.13.0-92-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://oauth.reddit.com/api/v1/me.json
  response:
    body:
      string: !!binary |
        H4sIAMgDk1cC/31U0XKcMAz8lc49dzrJ5dqk/RmNMYLTYGwq21wumfx7JR8E06R9A68srVZrvR4o
        Ao6TC1fEw68vnXERv345nE2E0ZCrjrwZNeJgaSZHLyZR8DCdzQvCw0Fwy2gSthJyfzp+Pz7c/zjd
        fbvTXNQidBxG4NCEFKucUjzmOKFvy8X1eEkFOdk13d3xaU2n1EL7Nz1HfoDB8Gjk8Hj8qdk9NJj0
        /z1xGEf06T3u8SSHnRTLjMrrVe5IIgQaTY8wMc6Elwgu9L3wCTlJUOKsuRh7iglZ5BMm0LlwgYRR
        I14Ps2EyXr+lpk8cHBxVJHyekKlwIO34+PBWuM8IZzOJEOR78OGylTFtRJ6lDOMUOAm+Yf8lS34L
        dNgbe4WIhu1ZI7sNG0NDDuGCDSTDPe5LSHkw2eqw68MX5AHaIFQTJDZ22MCYyA5XWKRWVRcgTz0b
        sYINYaAi965GCtJil73KsgCBje+RUXG1qehcXaOxzww9dZLRi0Jxx1GUNl4Y4rxngXkhAFNwZK8b
        0gW2MoaUpip8UceL3WVGjfEeeUOnMOAYfB+UQsIy8N3wY26Efkvps+GfHnX4n6soVmuCiAFWSA4F
        3I++zDzLwxX1tmOPl2X+Yn5r7Pljm6VBkbolRlv5OcqrQ68W+qDZZHJE2BXqi2VjiiBD3QUrhZtX
        oSUjZGoxzdLorpd3kYCzq42RRCwR4uM4Iia1aQVcJS43glg2Uz0iI96dKan5eSYZ8IUp6SJb8dV8
        +CwDrMw3hZjEc03ZTGuwBN6MBaMIaGCjvlCqEzcu2GHdCf+iI6tuLaBuCPrU75+2C7Ii++Dq7Uhl
        /9UH+nNwv70JajMNl24m4rKjBfPZOY3zTXgWp+bizXWXSkHqSBZGeV9V2pLH3tpTpfXCbVvrS6sq
        LHtaq7z9AZn6ZwRRBgAA
    headers:
      CF-RAY: [2c6ccf461a2151a6-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['699']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Sat, 23 Jul 2016 05:42:32 GMT']
      Server: [cloudflare-nginx]
      Set-Cookie: ['__cfduid=de2f4a29bb50791f3e986d577225fed3b1469252552; expires=Sun,
          23-Jul-17 05:42:32 GMT; path=/; domain=.reddit.com; HttpOnly']
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate', 'max-age=0,
          must-revalidate']
      expires: ['-1']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['598.0']
      x-ratelimit-reset: ['448']
      x-ratelimit-used: ['2']
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
